package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformXcxPlan;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformXcxPlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformXcxPlanMapper {
    long countByExample(ContentPlatformXcxPlanExample example);

    int deleteByExample(ContentPlatformXcxPlanExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformXcxPlan record);

    int insertSelective(ContentPlatformXcxPlan record);

    List<ContentPlatformXcxPlan> selectByExample(ContentPlatformXcxPlanExample example);

    ContentPlatformXcxPlan selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformXcxPlan record, @Param("example") ContentPlatformXcxPlanExample example);

    int updateByExample(@Param("record") ContentPlatformXcxPlan record, @Param("example") ContentPlatformXcxPlanExample example);

    int updateByPrimaryKeySelective(ContentPlatformXcxPlan record);

    int updateByPrimaryKey(ContentPlatformXcxPlan record);
}